From fc17aed6cc67c014cd17c0573933a3c25dff9999 Mon Sep 17 00:00:00 2001
From: Dominic Kempf <dominic.kempf@iwr.uni-heidelberg.de>
Date: Mon, 18 Feb 2019 11:00:39 +0100
Subject: [PATCH] Fix return code handling in compilation wrapper

---
 bin/donkey_benchmark_compilation_wrapper.sh | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/bin/donkey_benchmark_compilation_wrapper.sh b/bin/donkey_benchmark_compilation_wrapper.sh
index c911180d..e2691b5d 100755
--- a/bin/donkey_benchmark_compilation_wrapper.sh
+++ b/bin/donkey_benchmark_compilation_wrapper.sh
@@ -11,7 +11,9 @@ ml suite-sparse
 ml superlu
 ml parmetis
 
-"$@"
-
+("$@")
+code=$?
+echo "Code: $code"
 sleep 0.1s
 
+exit $code
-- 
GitLab